#
# spec file for package greybird-theme
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _buildnumber 706c3da
%define _revision 3
%define _name Greybird

Name:           greybird-theme
Version:        1.2.2
Release:        7.21
Url:            http://shimmerproject.org/project/greybird/
Summary:        A Clean Minimalistic Theme for GNOME, XFCE, GTK+ 2 and 3
License:        GPL-2.0+ or CC-BY-SA-3.0
Group:          System/GUI/GNOME
Source:         shimmerproject-%{_name}-v%{version}-%{_revision}-g%{_buildnumber}.tar.gz
BuildRequires:  fdupes
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This theme for GTK2/3 and xfwm4/emerald/metacity started out on the basis of
Bluebird, but aims at reworking the intense blue tone to a more neutral
grey-ish look that will be more pleasant to look at in everyday use.

%package -n metatheme-greybird-common
Summary:        A Clean Minimalistic Theme for GNOME, XFCE, GTK+ 2 and 3 -- Common Files
Group:          System/GUI/GNOME
Suggests:       gtk2-metatheme-greybird
Suggests:       gtk3-metatheme-greybird

%description -n metatheme-greybird-common
The Greybird theme for GTK2/3 and xfwm4/emerald/metacity started out on the
basis of Bluebird, but aims at reworking the intense blue tone to a more
neutral grey-ish look that will be more pleasant to look at in everyday use.

This package provides the files common to the GTK+ themes and the window
manager themes as well as background images.

%package -n gtk2-metatheme-greybird
Summary:        A Clean Minimalistic Theme for GNOME, XFCE, GTK+ 2 and 3 -- GTK+ 2 Support
Group:          System/GUI/GNOME
Requires:       gtk2-engine-murrine
Requires:       metatheme-greybird-common = %{version}
Supplements:    packageand(metatheme-greybird-common:gtk2)

%description -n gtk2-metatheme-greybird
The Greybird Theme for GTK2/3 and xfwm4/emerald/metacity started out on the
basis of Bluebird, but aims at reworking the intense blue tone to a more
neutral grey-ish look that will be more pleasant to look at in everyday use.

This package provides the GTK+ 2 support of Greybird.

%if 0%{?suse_version} >= 1210
%package -n gtk3-metatheme-greybird
Summary:        A Clean Minimalistic Theme for GNOME, XFCE, GTK+ 2 and 3 -- GTK+ 3 Support
Group:          System/GUI/GNOME
Requires:       gtk3-engine-unico
Requires:       metatheme-greybird-common = %{version}
Supplements:    packageand(metatheme-greybird-common:gtk3)

%description -n gtk3-metatheme-greybird
The Greybird Theme for GTK2/3 and xfwm4/emerald/metacity started out on the
basis of Bluebird, but aims at reworking the intense blue tone to a more
neutral grey-ish look that will be more pleasant to look at in everyday use.

This package provides the GTK+ 3 support of Greybird.

%endif

%prep
%setup -q -n shimmerproject-%{_name}-%{_buildnumber}

%build -n shimmerproject-%{_name}-%{_buildnumber}

%install -n shimmerproject-%{_name}-%{_buildnumber}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/themes/%{_name}
%if 0%{?suse_version} >= 1210
cp -a gtk-3.0 $RPM_BUILD_ROOT%{_datadir}/themes/%{_name}
%endif
cp -a gtk-2.0 metacity-1 xfce-notify-4.0 xfwm4 xfwm4_compact \
    Greybird.emerald $RPM_BUILD_ROOT%{_datadir}/themes/%{_name}
%fdupes -s $RPM_BUILD_ROOT/%{_datadir}/themes/%{_name}

%files -n metatheme-greybird-common
%defattr (-, root, root)
%doc README LICENSE.CC LICENSE.GPL
%dir %{_datadir}/themes/%{_name}/
%{_datadir}/themes/%{_name}/metacity-1
%{_datadir}/themes/%{_name}/xfce-notify-4.0
%{_datadir}/themes/%{_name}/xfwm4
%{_datadir}/themes/%{_name}/xfwm4_compact
%{_datadir}/themes/%{_name}/Greybird.emerald

%files -n gtk2-metatheme-greybird
%defattr (-, root, root)
%{_datadir}/themes/%{_name}/gtk-2.0

%if 0%{?suse_version} >= 1210
%files -n gtk3-metatheme-greybird
%defattr (-, root, root)
%{_datadir}/themes/%{_name}/gtk-3.0
%endif

%changelog
* Wed Oct  2 2013 seiler@b1-systems.de
- updated th current release v1.2.2-3
* Wed May 15 2013 seiler@b1-systems.de
- updated to lastest release -v1.1.1-5
* Thu Jan 31 2013 seiler@b1-systems.de
- updated to latest release v1.0.8-2
* Mon Jul 16 2012 seiler@b1-systems.de
- updated to latest release (8.2-95)
* Wed Feb  8 2012 seiler@b1-systems.de
- updated to latest release (4.3-6)
- specfile cleanup fo X11:xfce (last submit was not accepted, old submit without the rpm seperation was included)
* Fri Feb  3 2012 gber@opensuse.org
- specfile cleanup
* Wed Feb  1 2012 seiler@b1-systems.de
- updated to latest source
- added fdupes to symlink duplicate files
* Tue Dec  6 2011 seiler@b1-systems.de
- added gtk3 dependencie for openSUSE 12.1
* Tue Dec  6 2011 seiler@b1-systems.de
- fixed syntax error in file section
- modified the custom macros
- updated summary
- modified *.spec file to prevent warnings
- cleaned *.spec file
- updated to the current greybird release
- modified SOURCE0 file with custom macros
